package com.eactive.eai.rms.bat.manage.rule.schedule.vo;

public class SchedulerMonitorVO {

	private String workGroupCode; // application code
	private String interfaceId;
	private String interfaceDescription;
	private String interfaceUseYn;
	private String scheduleId;
	private String dailyStartTime;
	private String dailyEndTime;
	private String intervalTime;

	private boolean onMemory;
	private long triggerPreviousFireTime;
	private long triggerNextFireTime;
	private String triggerState;
	private boolean concurrentExectionDisallowed;
	private boolean persistJobDataAfterExecution;
	private boolean durable;

	public String getWorkGroupCode() {
		return workGroupCode;
	}

	public void setWorkGroupCode(String workGroupCode) {
		this.workGroupCode = workGroupCode;
	}

	public String getInterfaceId() {
		return interfaceId;
	}

	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}

	public String getInterfaceDescription() {
		return interfaceDescription;
	}

	public void setInterfaceDescription(String interfaceDescription) {
		this.interfaceDescription = interfaceDescription;
	}
	
	public String getInterfaceUseYn() {
		return interfaceUseYn;
	}

	public void setInterfaceUseYn(String interfaceUseYn) {
		this.interfaceUseYn = interfaceUseYn;
	}

	public String getScheduleId() {
		return scheduleId;
	}

	public void setScheduleId(String scheduleId) {
		this.scheduleId = scheduleId;
	}

	public String getDailyStartTime() {
		return dailyStartTime;
	}

	public void setDailyStartTime(String dailyStartTime) {
		this.dailyStartTime = dailyStartTime;
	}

	public String getDailyEndTime() {
		return dailyEndTime;
	}

	public void setDailyEndTime(String dailyEndTime) {
		this.dailyEndTime = dailyEndTime;
	}
	
	public String getIntervalTime() {
		return intervalTime;
	}

	public void setIntervalTime(String intervalTime) {
		this.intervalTime = intervalTime;
	}

	public boolean isOnMemory() {
		return onMemory;
	}

	public void setOnMemory(boolean onMemory) {
		this.onMemory = onMemory;
	}
	
	public long getTriggerPreviousFireTime() {
		return triggerPreviousFireTime;
	}

	public void setTriggerPreviousFireTime(long triggerPreviousFireTime) {
		this.triggerPreviousFireTime = triggerPreviousFireTime;
	}

	public long getTriggerNextFireTime() {
		return triggerNextFireTime;
	}

	public void setTriggerNextFireTime(long triggerNextFireTime) {
		this.triggerNextFireTime = triggerNextFireTime;
	}

	public String getTriggerState() {
		return triggerState;
	}

	public void setTriggerState(String triggerState) {
		this.triggerState = triggerState;
	}

	public boolean isConcurrentExectionDisallowed() {
		return concurrentExectionDisallowed;
	}

	public void setConcurrentExectionDisallowed(boolean concurrentExectionDisallowed) {
		this.concurrentExectionDisallowed = concurrentExectionDisallowed;
	}

	public boolean isPersistJobDataAfterExecution() {
		return persistJobDataAfterExecution;
	}

	public void setPersistJobDataAfterExecution(boolean persistJobDataAfterExecution) {
		this.persistJobDataAfterExecution = persistJobDataAfterExecution;
	}

	public boolean isDurable() {
		return durable;
	}

	public void setDurable(boolean durable) {
		this.durable = durable;
	}
	
	

}
